#ifndef AVPLAYER2_READ_THREAD_H
#define AVPLAYER2_READ_THREAD_H

#pragma once

#include "ThreadBase.h"
#include "packets_sync.h"

class ReadThread : public ThreadBase
{
public:
    explicit ReadThread(VideoState* pState = nullptr);
    ~ReadThread();

    void set_video_state(VideoState* pState = nullptr); // call before start

protected:
    int loop_read();
    void run() override;

private:
    VideoState* m_pPlayData;
};

#endif // AVPLAYER2_READ_THREAD_H
